## bohdanbobrowski-blog2epub.zip

=== Makefile ===
.SILENT: format, check, test, integration_test, unit_test, unit_coverage, unit_coverage_html, clear_win
.PHONY: format, check, test, integration_test, unit_test, unit_coverage, unit_coverage_html, clear_win

format:
	ruff format .
	ruff check . --fix

check:
	mypy .

test:
	pytest tests -s

integration_test:
	pytest tests/integration -s

unit_test:
	pytest tests/unit -s

unit_coverage:
	pytest --cov=blog2epub ./tests/unit

unit_coverage_html:
	pytest --cov=blog2epub --cov-report=html ./tests/unit

clear_win:
	del *.epub
	echo y|rd /s tests_cache

=== packages/aur/PKGBUILD ===
# Maintainer: Bohdan Bobrowski <bohdanbobrowski (a) gmail.com>

pkgname=blog2epub
pkgver=1.3.0
pkgrel=1
pkgdesc="Convert blog to epub using command line or GUI."
arch=('any')
url="https://github.com/bohdanbobrowski/blog2epub"
license=('MIT')
depends=('python')
makedepends=('sip')
source=("$pkgname-$pkgver.tar.gz::https://github.com/bohdanbobrowski/blog2epub/archive/v${pkgver}.tar.gz")
sha256sums=('1c9a91f2a699a5380e205a6a4816b119a6879d12fda90c912aa6d0d171347974')

package() {
  cd $pkgname-$pkgver
  python setup.py install --root $pkgdir

  # Desktop icon
  install -Dm644 $pkgname.desktop $pkgdir/usr/share/applications/$pkgname.desktop
  
  # fix executable
  # sed -i "s|krop==0.6.0|krop|g" $pkgdir/usr/bin/krop
}
